Create a new hopper

POST https://api.cryptohopper.com/v1/hopper

Creates a new hopper with the given name, config and API keys, optionally from a template. When enabled is 1 the new hopper starts right away.

OAuth scope: manage About scopes

bot_type accepts 0 (trading bot), 1 (exchange arbitrage), 2 (market maker), 4 (signal bot, only when enabled for the account), 6 (portfolio bot) and 8 (grid bot, test accounts only); 11 (AI Bot) is refused and any other value creates a trading bot. template_id is a template ID, optionally prefixed with user_, market_ or basic_. Set config.load_api_from to the ID of another of your hoppers on the same exchange to copy its API keys. api_config must be a JSON object.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"My BTC bot","enabled":0,"bot_type":0,"template_id":"market_12345","config":{"exchange":"binance","base_currency":"usdt","paper_trading":0},"api_config":{"api_key":"your-exchange-api-key","api_secret":"your-exchange-api-secret"}}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Request body

JSON, model HopperPOST

FieldTypeRequiredDescription
namestringRequired
enabledintegerOptional
api_configobjectOptional
api_keystringOptional
api_secretstringOptional
api_passphrasestringOptional
extra_api_keystringOptional
extra_api_secretstringOptional
kraken_extra_keystringOptional
kraken_private_extra_keystringOptional
gdax_api_passphrasestringOptional
gdax_post_onlystringOptional
template_idstringOptional
configobjectOptional
exchangestringOptional
base_currencystringOptional
selected_coinsarray of stringOptional
strategystringOptionalOne of: none, multiple_ta, bbands_easy, bbands_advanced, rsi, fixed_rates.
advanced_settingsobjectOptional
candle_sizestringOptionalOne of: 5_min, 15_min, 30_min, 1_hour, 2_hours, 4_hours, 1_day.
stochasticintegerOptional
stochastic_RSIintegerOptional
RSIintegerOptional
MACDintegerOptional
EMAintegerOptional
KAMAintegerOptional
SMAintegerOptional
bollinger_bandsintegerOptional
stoch_fast_K periodintegerOptional
stoch_slow_K_periodintegerOptional
stoch_slow_KMA_typestringOptionalOne of: sma, ema, wma, dema, tema, trima, kama, mama, t3.
stoch_slow_D_periodintegerOptional
stoch_slow_DMA_typestringOptionalOne of: sma, ema, wma, dema, tema, trima, kama, mama, t3.
stoch_oversold_thresholdintegerOptional
stoch_overbought_thresholdintegerOptional
stoch_req_for_buy_signalintegerOptional
stoch_RSI_periodintegerOptional
stoch_RSI_fast_K_periodintegerOptional
stoch_RSI_fast_D_periodintegerOptional
stoch_RSI_fast_DMA_typestringOptionalOne of: sma, ema, wma, dema, tema, trima, kama, mama, t3.
stoch_RSI_oversold_thresholdintegerOptional
stoch_RSI_overbought_thresholdintegerOptional
stoch_RSI_req_for_buy_signalintegerOptional
RSI_periodintegerOptional
RSI_oversold_thresholdintegerOptional
RSI_overbought_thresholdintegerOptional
RSI_needed_for_buy_signalintegerOptional
MACD_fast_periodintegerOptional
MACD_slow_periodintegerOptional
MACD_signal_periodintegerOptional
MACD_req_for_buy_signalintegerOptional
EMA_short_periodintegerOptional
EMA_long_periodintegerOptional
EMA_req_for_buy_signalintegerOptional
SMA_short_periodintegerOptional
SMA_long_periodintegerOptional
SMA_req_for_buy_signalintegerOptional
KAMA_short_periodintegerOptional
KAMA_long_periodintegerOptional
KAMA_req_for_buy_signalintegerOptional
bollinger_bands_periodnumberOptional
bollinger_bands_deviation_upper_bandnumberOptional
bollinger_bands_deviation_lower_bandnumberOptional
bollinger_bands_MA_typestringOptionalOne of: sma, ema, wma, dema, tema, trima, kama, mama, t3.
bollinger_bands_req_for_buy_signalintegerOptional
targets_to_buyintegerOptional
sell_with_strategyintegerOptional
pct_profitintegerOptional
ticker_ratestringOptionalOne of: highest_bid_lowest_ask, last_tick_if_higher_lower, always_last_tick.
cool_downintegerOptional
one_open_order_coinintegerOptional
pct_lower_bidnumberOptional
pct_higher_asknumberOptional
stop_loss_pctnumberOptional
trailing_stop_lossintegerOptional
trailing_stop_loss_pctnumberOptional
trailing_stop_arm_pctnumberOptional
trailing_stop_buy_pctnumberOptional
hold_target_is_sameintegerOptional
only_buy_positive_pairsintegerOptional
autoclose_positionintegerOptional
DCAintegerOptional
DCA_after_timeintegerOptional
DCA_max_retriesintegerOptional
DCA_pct_triggerintegerOptional
DCA_buy_immediatelyintegerOptional
DCA_order_sizestringOptionalOne of: double_down, triple_down.
sell_order_max_open_timeintegerOptional
buy_order_max_open_timeintegerOptional
max_open_positionsintegerOptional
coin_max_open_posintegerOptional
coin_max_open_pos_pctnumberOptional
buy_order_amount_pctnumberOptional
buy_order_min_amountnumberOptional
max_amount_allocatednumberOptional

Response

Example response (illustrative values)

{
    "data": {
        "id": 123457
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.